Favicon

You are here: Home > API Reference > Platform > Organization Providers Scim > Get providerScim by providerId

Get providerScim by providerId

Required Permission: base.organization.scim.get

Get providerScim by providerId

GET
https://api.applivery.io/v1/organizations/{organizationId}/providers/{providerId}/scim
curl -X GET "https://api.applivery.io/v1/organizations/{organizationId}/providers/{providerId}/scim" \
  -H "Authorization: Bearer <YOUR_API_KEY>"
const response = await fetch("https://api.applivery.io/v1/organizations/{organizationId}/providers/{providerId}/scim", {
  method: "GET",
  headers: {
    Authorization: "Bearer <YOUR_API_KEY>",
  },
});

const data = await response.json();
import requests

response = requests.get(
    "https://api.applivery.io/v1/organizations/{organizationId}/providers/{providerId}/scim",
    headers={"Authorization": "Bearer <YOUR_API_KEY>"},
)

data = response.json()

Request

Send your API key in the request header authorization
Example: Authorization: Bearer <token>

organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
providerId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$

Responses

200 Response application/json
status boolean optional
data object optional
bearer string optional
≤ 256 characters
config object optional
collaborator object optional
employee object optional
mdmUser object optional
mappedAttributes array [object] optional
name string required
≤ 256 characters
attributes array [object] optional
attributesHistory array [object] optional
namespace string required
≤ 256 characters
key string required
≤ 256 characters
{
    "status": true,
    "data": {
        "bearer": "string",
        "config": {
            "collaborator": {
                "create": {
                    "action": "createWithRole",
                    "createWithRole": "admin"
                },
                "deactivate": {
                    "action": "remove"
                }
            },
            "employee": {
                "create": {
                    "action": "create"
                },
                "deactivate": {
                    "action": "remove"
                }
            },
            "mdmUser": {
                "create": {
                    "action": "create"
                },
                "deactivate": {
                    "action": "unassign",
                    "changePolicy": {
                        "winPolicyId": "string",
                        "admPolicyIdMacos": "string",
                        "admPolicyIdIos": "string",
                        "emmPolicyId": "string",
                        "winPolicyAssignments": [
                            {
                                "winPolicyId": "string",
                                "priority": 0
                            }
                        ],
                        "admPolicyAssignmentsMacos": [
                            {
                                "admPolicyId": "string",
                                "priority": 0
                            }
                        ],
                        "admPolicyAssignmentsIos": [
                            {
                                "admPolicyId": "string",
                                "priority": 0
                            }
                        ],
                        "emmPolicyAssignments": [
                            {
                                "emmPolicyId": "string",
                                "priority": 0
                            }
                        ]
                    }
                }
            }
        },
        "mappedAttributes": [
            {
                "name": "string",
                "attributes": [
                    {
                        "namespace": "string",
                        "key": "string"
                    }
                ]
            }
        ],
        "attributesHistory": [
            {
                "namespace": "string",
                "key": "string"
            }
        ]
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}